Subject: Re: [PATCH] ip link/addr show: add empty line between interfaces

From: Felix Kaiser <[email-masked]>
Date: Mon, 07 Sep 2015 21:57:35 +0200

Excerpts from Stephen Hemminger's message of 2015-09-07 11:09:32 -0700:
> Agreed with Jiri. I prefer the new shorter brief format, not longer format.

As long as it requires extra typing, few are going to use it.
It's about the default.

Did you try the brief format with a few v6 addresses on an
interface? When the line gets wrapped, it gets hard to read.

Besides, this isn't about the brief format, but about making
the long format less unreadable.

> Did you ever try a system with 10 interfaces or 1000 tunnels??

The largest I tried it on had 11 interfaces (8 of which are for tunnels).
That's not 1000, but how many people have that?

After all the positive feedback I got locally I'm genuinely
surprised that you don't like it, but I guess that's the way it is.

Thanks for looking at it, though!
Felix